Index: trunk/prototype/modules/calendar/js/calendar.codecs.js
===================================================================
--- trunk/prototype/modules/calendar/js/calendar.codecs.js	(revision 5953)
+++ trunk/prototype/modules/calendar/js/calendar.codecs.js	(revision 6066)
@@ -948,71 +1040,90 @@
 
 	var filtered = evtObj;
-// 
+	// 
 	var grouped = {};
 
 	$.map(filtered, function( evt ){
 		
-		if(!(typeof(evt) == 'object') || (evt.id.indexOf('java') >= 0))
-			return (null);
-
-		evt.calendar = evt.calendar || "1";
-
-		if( !grouped[ evt.calendar ] )
-		    grouped[ evt.calendar ] = [];
+	    if(!(typeof(evt) == 'object') || (evt.id.indexOf('java') >= 0))
+		return (null);
+
+	    evt.calendar = evt.calendar || "1";
+
+	    if( !grouped[ evt.calendar ] )
+		grouped[ evt.calendar ] = [];
 			
-		var calendar = DataLayer.get('calendar', evt.calendar);
-		
-		var eventEditable = function(idEvent, isRecurrence, Recurrence){
-			if(Calendar.signatureOf[calendar.id].isOwner == "1"){
-				var attendee = {};
-				for(var i = 0; i < evt.participants.length; i++){
-					attendee = DataLayer.get('participant', evt.participants[i]);
-						if(attendee.user == User.me.id)
-							return (attendee.acl.indexOf('w') >= 0 || attendee.acl.indexOf('o') >= 0 ) ? {selectable: true, className: 'fullcalendar-context-menu  event-id-'+idEvent+ (isRecurrence ? ' isRecurrence Recurrence-id-'+Recurrence : '')} : { editable: false, selectable: true ,className: 'blocked-event-permision  fullcalendar-not-context-menu event-id-'+idEvent};
-				}
-				return {editable: false, className: 'blocked-event-permision  fullcalendar-not-context-menu event-id-'+idEvent,  selectable: true, disableDragging: isRecurrence };
-			}
-			else{
-				var aclSignature = Calendar.signatureOf[calendar.id].permission;
+	    var calendar = DataLayer.get('calendar', evt.calendar);
+		
+	    var eventEditable = function(idEvent, isRecurrence, Recurrence){
+		if(Calendar.signatureOf[calendar.id].isOwner == "1"){
+		    var attendee = {};
+		    for(var i = 0; i < evt.participants.length; i++){
+			attendee = DataLayer.get('participant', evt.participants[i]);
+			if(attendee.user == User.me.id)
+			    return (attendee.acl.indexOf('w') >= 0 || attendee.acl.indexOf('o') >= 0 ) ? {
+				selectable: true, 
+				className: 'fullcalendar-context-menu  event-id-'+idEvent+ (isRecurrence ? ' isRecurrence Recurrence-id-'+Recurrence : '')
+				} : {
+				editable: false, 
+				selectable: true ,
+				className: 'blocked-event-permision  fullcalendar-not-context-menu event-id-'+idEvent
+				};
+		    }
+		    return {
+			editable: false, 
+			className: 'blocked-event-permision  fullcalendar-not-context-menu event-id-'+idEvent,  
+			selectable: true, 
+			disableDragging: isRecurrence
+		    };
+		}
+		else{
+		    var aclSignature = Calendar.signatureOf[calendar.id].permission;
 				
-				var mountClass =  function(acl){
-					var returns = ""
-					returns += acl['write'] ? "" :  'blocked-event-permision ';
-					returns += acl['busy'] ? 'fullcalendar-not-context-menu ' : (acl['read']  ?  'fullcalendar-context-menu '+ idEvent + (isRecurrence ? ' isRecurrence Recurrence-id-'+Recurrence : '') : '');
-					returns += 'event-id-'+idEvent;
-					return returns;
-				}				
-				return DataLayer.merge({
-					editable: aclSignature.acl['write'] && !isRecurrence,
-					disableResizing : (((aclSignature.acl['busy'] && !aclSignature.acl['write']) || (!aclSignature.acl['write'] && aclSignature.acl['read'])) ? true : false),
-					disableDragging  : (((aclSignature.acl['busy'] && !aclSignature.acl['write']) || (!aclSignature.acl['write'] && aclSignature.acl['read'])) ? true: false),
-					className: mountClass(aclSignature.acl)
-				}, aclSignature.acl['busy'] ? {title: 'Ocupado', selectable: false } : {selectable: true});
-			}
+		    var mountClass =  function(acl){
+			var returns = ""
+			returns += acl['write'] ? "" :  'blocked-event-permision ';
+			returns += acl['busy'] ? 'fullcalendar-not-context-menu ' : (acl['read']  ?  'fullcalendar-context-menu '+ idEvent + (isRecurrence ? ' isRecurrence Recurrence-id-'+Recurrence : '') : '');
+			returns += 'event-id-'+idEvent;
+			return returns;
+		    }				
+		    return DataLayer.merge({
+			editable: aclSignature.acl['write'] && !isRecurrence,
+			disableResizing : (((aclSignature.acl['busy'] && !aclSignature.acl['write']) || (!aclSignature.acl['write'] && aclSignature.acl['read'])) ? true : false),
+			disableDragging  : (((aclSignature.acl['busy'] && !aclSignature.acl['write']) || (!aclSignature.acl['write'] && aclSignature.acl['read'])) ? true: false),
+			className: mountClass(aclSignature.acl)
+		    }, aclSignature.acl['busy'] ? {
+			title: 'Ocupado', 
+			selectable: false
+		    } : {
+			selectable: true
+		    });
+		}
 			
-		}
-		
-		var duration = parseInt( evt.endTime ) - parseInt( evt.startTime ), isRepeat = false;
-		
-		var occurrences = [];
-		
-		if( evt.occurrences )
-		{
-		    isRepeat = true;
-		    occurrences = evt.occurrences;
-		}else
-                    occurrences[ occurrences.length ] = evt.startTime;
-
-		//occurrences = DataLayer.unique( occurrences ).sort();
+	    }
+		
+	    var duration = parseInt( evt.endTime ) - parseInt( evt.startTime ), isRepeat = false;
+		
+	    var occurrences = [];
+		
+	    if( evt.occurrences )
+	    {
+		isRepeat = true;
+		occurrences = evt.occurrences;
+	    }else
+		occurrences[ occurrences.length ] = evt.startTime;
+
+	    //occurrences = DataLayer.unique( occurrences ).sort();
 		  
-		for( var i = 0; i < occurrences.length; i++ )
-		    grouped[ evt.calendar ].push( DataLayer.merge({ id: evt.URI || evt.id+ '-' + i,
-                    title: Encoder.htmlDecode(evt.summary),
-                    start: Timezone.getDateCalendar(new Date( parseInt( occurrences[i] ) ), calendar.timezone,  !!evt.DayLigth ? evt.DayLigth.calendar.startTime : Timezone.daylightSaving),
-                    end:   Timezone.getDateCalendar(new Date( parseInt( occurrences[i] ) + duration - (!!parseInt(evt.allDay) ? 86400000 : 0)), calendar.timezone, !!evt.DayLigth ? evt.DayLigth.calendar.startTime : Timezone.daylightSaving),
-                    allDay: parseInt( evt.allDay ),
-                    isRepeat: isRepeat,
-                    occurrence: i,
-		    calendar: evt.calendar}, eventEditable(evt.id, isRepeat, i ) ) );
+	    for( var i = 0; i < occurrences.length; i++ )
+		grouped[ evt.calendar ].push( DataLayer.merge({
+		    id: evt.URI || evt.id+ '-' + i,
+		    title: Encoder.htmlDecode(evt.summary),
+		    start: Timezone.getDateCalendar(new Date( parseInt( occurrences[i] ) ), calendar.timezone,  !!evt.DayLigth ? evt.DayLigth.calendar.startTime : Timezone.daylightSaving),
+		    end:   Timezone.getDateCalendar(new Date( parseInt( occurrences[i] ) + duration - (!!parseInt(evt.allDay) ? 86400000 : 0)), calendar.timezone, !!evt.DayLigth ? evt.DayLigth.calendar.startTime : Timezone.daylightSaving),
+		    allDay: parseInt( evt.allDay ),
+		    isRepeat: isRepeat,
+		    occurrence: i,
+		    calendar: evt.calendar
+		    }, eventEditable(evt.id, isRepeat, i ) ) );
 	});
 
@@ -1022,22 +1133,27 @@
     criteria: function( filter ){
       
-		if( $.type(filter.start) !== 'date' )
-			filter.start = new Date( filter.start * 1000 );
-		if( $.type(filter.end) !== 'date' )
-			filter.end = new Date( filter.end * 1000 );
-
-		var timezone = {};
-		for(var i in Calendar.signatureOf)
-			timezone[i] = Calendar.signatureOf[i].calendar.timezone;
-		
-		return { filter: ["AND", 
-
-					[ ">=", "rangeStart", filter.start.getTime() ],
-					[ "<=", "rangeEnd", filter.end.getTime() ],
-					[ "IN", "calendar", Calendar.calendarIds ]
-
-				  ], 
-		 criteria: { deepness: 2, timezones: timezone } }
-    }
+	if( $.type(filter.start) !== 'date' )
+	    filter.start = new Date( filter.start * 1000 );
+	if( $.type(filter.end) !== 'date' )
+	    filter.end = new Date( filter.end * 1000 );
+
+	var timezone = {};
+	for(var i in Calendar.signatureOf)
+	    timezone[i] = Calendar.signatureOf[i].calendar.timezone;
+		
+	return {
+	    filter: ["AND", 
+
+	    [ ">=", "rangeStart", filter.start.getTime() ],
+	    [ "<=", "rangeEnd", filter.end.getTime() ],
+	    [ "IN", "calendar", Calendar.calendarIds ]
+
+	    ], 
+	    criteria: {
+		deepness: 2, 
+		timezones: timezone
+	    }
+	}
+}
 });
 
@@ -1045,28 +1161,33 @@
 DataLayer.codec( "preference", "detail", {
   
-	decoder:function( pref ){
-	
-		var res = [];
-
-		pref.defaultAlarm = $.map( pref.alarmTime || [], function( alarmTime, i ){
+    decoder:function( pref ){
+	
+	var res = [];
+
+	pref.defaultAlarm = $.map( pref.alarmTime || [], function( alarmTime, i ){
 		  
-			return { type: pref.alarmType[i], 
-				time: alarmTime,
-				unit: pref.alarmUnit[i] };
-			});
-
-		$.each( pref, function( i, el ){
-
-			res[ res.length ] = { name: i, value: el };
-
-		});
-		
-		return( res );
+	    return {
+		type: pref.alarmType[i], 
+		time: alarmTime,
+		unit: pref.alarmUnit[i]
+		};
+	});
+
+	$.each( pref, function( i, el ){
+
+	    res[ res.length ] = {
+		name: i, 
+		value: el
+	    };
+
+	});
+		
+	return( res );
       
-	},
-
-	encoder:function( pref ){
-		return( pref );
-	}
+    },
+
+    encoder:function( pref ){
+	return( pref );
+    }
 
 });
@@ -1074,5 +1195,5 @@
 DataLayer.codec( "schedulable", "export", {
   
-	decoder: function(){},
+    decoder: function(){},
       
     encoder: function( signatures ){},
@@ -1080,11 +1201,14 @@
     criteria: function( filter ){
 	
-		if( isCal  = filter && filter.calendar )
-			filter = filter.calendar;
-			return {
-				filter: filter ? [  "=", ( isCal ? "calendar" : "id" ), filter ] : false,
-				criteria: { format: 'iCal', deepness: 2 }
-			};
-		}
+	if( isCal  = filter && filter.calendar )
+	    filter = filter.calendar;
+	return {
+	    filter: filter ? [  "=", ( isCal ? "calendar" : "id" ), filter ] : false,
+	    criteria: {
+		format: 'iCal', 
+		deepness: 2
+	    }
+	};
+    }
 });
 
